org.fourthline.cling.support.model

## Enum Connection.Type

- java.lang.Object
- - java.lang.Enum<Connection.Type>
  - - org.fourthline.cling.support.model.Connection.Type

- All Implemented Interfaces:
    Serializable, Comparable<Connection.Type>
  Enclosing class:
    Connection

      public static enum Connection.Type
      extends Enum<Connection.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IP_Bridged` The Internet Gateway is an Ethernet bridge between the LAN and the WAN connection.
    `IP_Routed` The Internet Gateway is an IP router between the LAN and the WAN connection.
    `Unconfigured` Valid connection types cannot be identified.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Connection.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Connection.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unconfigured

          public static final Connection.Type Unconfigured

      Valid connection types cannot be identified.

    - #### IP_Routed

          public static final Connection.Type IP_Routed

      The Internet Gateway is an IP router between the LAN and the WAN connection.

    - #### IP_Bridged

          public static final Connection.Type IP_Bridged

      The Internet Gateway is an Ethernet bridge between the LAN and the WAN connection.

  - ### Method Detail

    - #### values

          public static Connection.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Connection.Type c : Connection.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Connection.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 4th Line GmbH, Switzerland. All rights reserved.